import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuard } from '@xdf/security';
import { TemplateResolver, DirtyGuard, CrudGridComponent, RecordResolver } from '@xdf/gallery';
import { ResourceAuthGuard } from '@xdf/security';

const routes: Routes = [
  {
    path: '', component: CrudGridComponent, canActivate: [AuthGuard, ResourceAuthGuard], 
    resolve: { template: TemplateResolver },
    data: {
      innerTemplate: 'none',
      program: 'prueba',
      breadcrumb: 'breadcrumb.prueba'
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PruebaRoutingModule { }
